Skip to main content
POST
/
v1
/
telemetry
/
backfill
curl -X POST https://nest.feather.mupeni.dev/v1/telemetry/backfill \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{ "date": "2024-04-10", "environmentId": "env_01hx..." }'
{
  "date": "2024-04-10",
  "environmentId": "env_01hx...",
  "upserted": 24
}
Use this to recover analytics if a nightly cron run was missed or produced incorrect aggregates.

Body

date
string
required
Date to re-aggregate, in YYYY-MM-DD format.
environmentId
string
required
Must belong to the authenticated organization.
curl -X POST https://nest.feather.mupeni.dev/v1/telemetry/backfill \
  -H "Authorization: Bearer <server_key>" \
  -H "Content-Type: application/json" \
  -d '{ "date": "2024-04-10", "environmentId": "env_01hx..." }'
{
  "date": "2024-04-10",
  "environmentId": "env_01hx...",
  "upserted": 24
}